<?xml version="1.0" encoding="utf-8"?>
<Project DefaultTargets="Build" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <ItemGroup Label="ProjectConfigurations">
    <ProjectConfiguration Include="Debug|Win32">
      <Configuration>Debug</Configuration>
      <Platform>Win32</Platform>
    </ProjectConfiguration>
    <ProjectConfiguration Include="Release|Win32">
      <Configuration>Release</Configuration>
      <Platform>Win32</Platform>
    </ProjectConfiguration>
    <ProjectConfiguration Include="Debug|x64">
      <Configuration>Debug</Configuration>
      <Platform>x64</Platform>
    </ProjectConfiguration>
    <ProjectConfiguration Include="Release|x64">
      <Configuration>Release</Configuration>
      <Platform>x64</Platform>
    </ProjectConfiguration>
  </ItemGroup>
  <PropertyGroup Label="Globals">
    <VCProjectVersion>17.0</VCProjectVersion>
    <Keyword>Win32Proj</Keyword>
    <ProjectGuid>{ac4116dd-e810-4480-bc2d-c401da4f7b01}</ProjectGuid>
    <RootNamespace>FortniteSource</RootNamespace>
    <WindowsTargetPlatformVersion>10.0</WindowsTargetPlatformVersion>
    <ProjectName>Usermode</ProjectName>
  </PropertyGroup>
  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.Default.props" />
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'" Label="Configuration">
    <ConfigurationType>Application</ConfigurationType>
    <UseDebugLibraries>true</UseDebugLibraries>
    <PlatformToolset>v143</PlatformToolset>
    <CharacterSet>Unicode</CharacterSet>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|Win32'" Label="Configuration">
    <ConfigurationType>Application</ConfigurationType>
    <UseDebugLibraries>false</UseDebugLibraries>
    <PlatformToolset>v143</PlatformToolset>
    <WholeProgramOptimization>true</WholeProgramOptimization>
    <CharacterSet>Unicode</CharacterSet>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|x64'" Label="Configuration">
    <ConfigurationType>Application</ConfigurationType>
    <UseDebugLibraries>true</UseDebugLibraries>
    <PlatformToolset>v143</PlatformToolset>
    <CharacterSet>Unicode</CharacterSet>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|x64'" Label="Configuration">
    <ConfigurationType>Application</ConfigurationType>
    <UseDebugLibraries>false</UseDebugLibraries>
    <PlatformToolset>v143</PlatformToolset>
    <WholeProgramOptimization>true</WholeProgramOptimization>
    <CharacterSet>Unicode</CharacterSet>
  </PropertyGroup>
  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.props" />
  <ImportGroup Label="ExtensionSettings">
    <Import Project="$(VCTargetsPath)\BuildCustomizations\masm.props" />
  </ImportGroup>
  <ImportGroup Label="Shared">
  </ImportGroup>
  <ImportGroup Label="PropertySheets" Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">
    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" Label="LocalAppDataPlatform" />
  </ImportGroup>
  <ImportGroup Label="PropertySheets" Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">
    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" Label="LocalAppDataPlatform" />
  </ImportGroup>
  <ImportGroup Label="PropertySheets" Condition="'$(Configuration)|$(Platform)'=='Debug|x64'">
    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" Label="LocalAppDataPlatform" />
  </ImportGroup>
  <ImportGroup Label="PropertySheets" Condition="'$(Configuration)|$(Platform)'=='Release|x64'">
    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" Label="LocalAppDataPlatform" />
  </ImportGroup>
  <PropertyGroup Label="UserMacros" />
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|x64'">
    <IncludePath>C:\Program Files (x86)\Microsoft DirectX SDK (June 2010)\Include;C:\DEV\installed\x64-windows-static\include;$(ProjectDir)Usermode\base\extern\Imgui;$(ProjectDir)Usermode\base\extern\freetype\freetype-master\include;C:\vcpkg\installed\x64-windows-static\include;$(ProjectDir)Usermode\base\extern;$(IncludePath)</IncludePath>
    <LibraryPath>C:\Program Files (x86)\Microsoft DirectX SDK (June 2010)\Lib\x64;C:\DEV\installed\x64-windows-static\lib;$(ProjectDir)Usermode\base\extern\freetype\freetype-master\lib;C:\vcpkg\installed\x64-windows-static\lib;$(LibraryPath)</LibraryPath>
  </PropertyGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">
    <ClCompile>
      <WarningLevel>Level3</WarningLevel>
      <SDLCheck>true</SDLCheck>
      <PreprocessorDefinitions>WIN32;_DEBUG;_CONSOLE;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <ConformanceMode>true</ConformanceMode>
    </ClCompile>
    <Link>
      <SubSystem>Console</SubSystem>
      <GenerateDebugInformation>true</GenerateDebugInformation>
    </Link>
  </ItemDefinitionGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">
    <ClCompile>
      <WarningLevel>Level3</WarningLevel>
      <FunctionLevelLinking>true</FunctionLevelLinking>
      <IntrinsicFunctions>true</IntrinsicFunctions>
      <SDLCheck>true</SDLCheck>
      <PreprocessorDefinitions>WIN32;NDEBUG;_CONSOLE;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <ConformanceMode>true</ConformanceMode>
    </ClCompile>
    <Link>
      <SubSystem>Console</SubSystem>
      <GenerateDebugInformation>true</GenerateDebugInformation>
    </Link>
  </ItemDefinitionGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Debug|x64'">
    <ClCompile>
      <WarningLevel>Level3</WarningLevel>
      <SDLCheck>true</SDLCheck>
      <PreprocessorDefinitions>_DEBUG;_CONSOLE;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <ConformanceMode>true</ConformanceMode>
    </ClCompile>
    <Link>
      <SubSystem>Console</SubSystem>
      <GenerateDebugInformation>true</GenerateDebugInformation>
    </Link>
  </ItemDefinitionGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Release|x64'">
    <ClCompile>
      <WarningLevel>Level3</WarningLevel>
      <FunctionLevelLinking>true</FunctionLevelLinking>
      <IntrinsicFunctions>true</IntrinsicFunctions>
      <SDLCheck>true</SDLCheck>
      <PreprocessorDefinitions>_CRT_SECURE_NO_WARNINGS;IMGUI_DEFINE_MATH_OPERATORS;NDEBUG;_CONSOLE;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <ConformanceMode>true</ConformanceMode>
      <LanguageStandard>stdcpp20</LanguageStandard>
    </ClCompile>
    <Link>
      <SubSystem>Console</SubSystem>
      <GenerateDebugInformation>true</GenerateDebugInformation>
      <AdditionalDependencies>wbemuuid.lib;iphlpapi.lib;setupapi.lib;libcurl.lib;libcrypto.lib;ws2_32.lib;crypt32.lib;secur32.lib;zlib.lib;comsupp.lib;ole32.lib;oleaut32.lib;d3d11.lib;shell32.lib;freetype.lib;d3dcompiler.lib;dxgi.lib;d3dx11.lib
;%(AdditionalDependencies)</AdditionalDependencies>
      <UACExecutionLevel>RequireAdministrator</UACExecutionLevel>
    </Link>
  </ItemDefinitionGroup>
  <ItemGroup>
    <ClCompile Include="Usermode\base\driver\driver.cpp" />
    <ClCompile Include="Usermode\base\extern\Imgui\imgui.cpp" />
    <ClCompile Include="Usermode\base\extern\Imgui\imgui_draw.cpp" />
    <ClCompile Include="Usermode\base\extern\Imgui\imgui_freetype.cpp" />
    <ClCompile Include="Usermode\base\extern\Imgui\imgui_impl_dx11.cpp" />
    <ClCompile Include="Usermode\base\extern\Imgui\imgui_impl_win32.cpp" />
    <ClCompile Include="Usermode\base\extern\Imgui\imgui_tables.cpp" />
    <ClCompile Include="Usermode\base\extern\Imgui\imgui_widgets.cpp" />
    <ClCompile Include="Usermode\base\extern\Imgui\misc\cpp\imgui_stdlib.cpp" />
    <ClCompile Include="Usermode\base\extern\Imgui\misc\freetype\imgui_freetype.cpp" />
    <ClCompile Include="Usermode\base\gui\gui\custom_widgets.cpp" />
    <ClCompile Include="Usermode\base\utils\Authentication\Protection\encryption\obfstring.cpp" />
    <ClCompile Include="Usermode\base\utils\Authentication\Protection\misc\process.cpp" />
    <ClCompile Include="Usermode\base\utils\Authentication\Protection\protect\anti_attach.cpp" />
    <ClCompile Include="Usermode\base\utils\Authentication\Protection\protect\anti_debugger.cpp" />
    <ClCompile Include="Usermode\base\utils\Authentication\Protection\protect\anti_dump.cpp" />
    <ClCompile Include="Usermode\base\utils\Authentication\Protection\protect\anti_emuauth.cpp" />
    <ClCompile Include="Usermode\base\utils\Authentication\Protection\protect\anti_suspend.cpp" />
    <ClCompile Include="Usermode\base\utils\Authentication\Protection\protect\integrity_check.cpp" />
    <ClCompile Include="Usermode\base\utils\Authentication\Protection\protect\kill_process.cpp" />
    <ClCompile Include="Usermode\base\utils\Authentication\Protection\protect\protectmain.cpp" />
    <ClCompile Include="Usermode\base\utils\Authentication\Protection\protect\selfcode\antihread.cpp" />
    <ClCompile Include="Usermode\base\utils\Authentication\Protection\protect\selfcode\filler.cpp" />
    <ClCompile Include="Usermode\base\utils\Authentication\Protection\protect\selfcode\ntapi.cpp" />
    <ClCompile Include="Usermode\base\utils\Authentication\Protection\protect\selfcode\pe_header.cpp" />
    <ClCompile Include="Usermode\base\utils\Authentication\Protection\protect\selfcode\remap.cpp" />
    <ClCompile Include="Usermode\base\utils\Authentication\Protection\protect\selfcode\selfcode.cpp" />
    <ClCompile Include="Usermode\base\utils\Authentication\Protection\webhook\webhook.cpp" />
    <ClCompile Include="Usermode\main.cpp" />
  </ItemGroup>
  <ItemGroup>
    <ClInclude Include="Usermode\aimbot\aimbot.hpp" />
    <ClInclude Include="Usermode\base\driver\driver.hpp" />
    <ClInclude Include="Usermode\base\extern\blur\directx_blur.h" />
    <ClInclude Include="Usermode\base\extern\blur\pshader.hpp" />
    <ClInclude Include="Usermode\base\extern\fa\fa.h" />
    <ClInclude Include="Usermode\base\extern\fa\font.h" />
    <ClInclude Include="Usermode\base\extern\fa\logo.h" />
    <ClInclude Include="Usermode\base\extern\Imgui\imconfig.h" />
    <ClInclude Include="Usermode\base\extern\Imgui\imgui.h" />
    <ClInclude Include="Usermode\base\extern\Imgui\imgui_freetype.h" />
    <ClInclude Include="Usermode\base\extern\Imgui\imgui_impl_dx11.h" />
    <ClInclude Include="Usermode\base\extern\Imgui\imgui_impl_win32.h" />
    <ClInclude Include="Usermode\base\extern\Imgui\imgui_internal.h" />
    <ClInclude Include="Usermode\base\extern\Imgui\imgui_settings.h" />
    <ClInclude Include="Usermode\base\extern\Imgui\imstb_rectpack.h" />
    <ClInclude Include="Usermode\base\extern\Imgui\imstb_textedit.h" />
    <ClInclude Include="Usermode\base\extern\Imgui\imstb_truetype.h" />
    <ClInclude Include="Usermode\base\extern\Imgui\misc\cpp\imgui_stdlib.h" />
    <ClInclude Include="Usermode\base\extern\Imgui\misc\freetype\imgui_freetype.h" />
    <ClInclude Include="Usermode\base\extern\Imgui\misc\single_file\imgui_single_file.h" />
    <ClInclude Include="Usermode\base\gui\configs.h" />
    <ClInclude Include="Usermode\base\gui\gui\agui.h" />
    <ClInclude Include="Usermode\base\gui\gui\custom_popup.hpp" />
    <ClInclude Include="Usermode\base\gui\gui\custom_widgets.hpp" />
    <ClInclude Include="Usermode\base\gui\gui\esp.h" />
    <ClInclude Include="Usermode\base\gui\gui\font.h" />
    <ClInclude Include="Usermode\base\gui\gui\font_defines.h" />
    <ClInclude Include="Usermode\base\gui\gui\image.h" />
    <ClInclude Include="Usermode\base\gui\gui\images.h" />
    <ClInclude Include="Usermode\base\gui\gui\notifications.h" />
    <ClInclude Include="Usermode\base\gui\gui\Sounds.hpp" />
    <ClInclude Include="Usermode\base\gui\gui\var.hpp" />
    <ClInclude Include="Usermode\base\gui\render.hpp" />
    <ClInclude Include="Usermode\base\sdk\loops.hpp" />
    <ClInclude Include="Usermode\base\sdk\loot.h" />
    <ClInclude Include="Usermode\base\sdk\loot.hpp" />
    <ClInclude Include="Usermode\base\sdk\offsets.hpp" />
    <ClInclude Include="Usermode\base\sdk\vectors.hpp" />
    <ClInclude Include="Usermode\base\utils\Authentication\auth.hpp" />
    <ClInclude Include="Usermode\base\utils\Authentication\json.hpp" />
    <ClInclude Include="Usermode\base\utils\Authentication\Protection\curl\include\curl\curl.h" />
    <ClInclude Include="Usermode\base\utils\Authentication\Protection\curl\include\curl\curlver.h" />
    <ClInclude Include="Usermode\base\utils\Authentication\Protection\curl\include\curl\easy.h" />
    <ClInclude Include="Usermode\base\utils\Authentication\Protection\curl\include\curl\header.h" />
    <ClInclude Include="Usermode\base\utils\Authentication\Protection\curl\include\curl\mprintf.h" />
    <ClInclude Include="Usermode\base\utils\Authentication\Protection\curl\include\curl\multi.h" />
    <ClInclude Include="Usermode\base\utils\Authentication\Protection\curl\include\curl\options.h" />
    <ClInclude Include="Usermode\base\utils\Authentication\Protection\curl\include\curl\stdcheaders.h" />
    <ClInclude Include="Usermode\base\utils\Authentication\Protection\curl\include\curl\system.h" />
    <ClInclude Include="Usermode\base\utils\Authentication\Protection\curl\include\curl\typecheck-gcc.h" />
    <ClInclude Include="Usermode\base\utils\Authentication\Protection\curl\include\curl\urlapi.h" />
    <ClInclude Include="Usermode\base\utils\Authentication\Protection\curl\include\curl\websockets.h" />
    <ClInclude Include="Usermode\base\utils\Authentication\Protection\encryption\obfstring.h" />
    <ClInclude Include="Usermode\base\utils\Authentication\Protection\misc\includesp.h" />
    <ClInclude Include="Usermode\base\utils\Authentication\Protection\misc\lazy.h" />
    <ClInclude Include="Usermode\base\utils\Authentication\Protection\misc\process.hpp" />
    <ClInclude Include="Usermode\base\utils\Authentication\Protection\nlohmann\json.hpp" />
    <ClInclude Include="Usermode\base\utils\Authentication\Protection\protect\anti_attach.h" />
    <ClInclude Include="Usermode\base\utils\Authentication\Protection\protect\anti_debugger.h" />
    <ClInclude Include="Usermode\base\utils\Authentication\Protection\protect\anti_dump.h" />
    <ClInclude Include="Usermode\base\utils\Authentication\Protection\protect\anti_emuauth.h" />
    <ClInclude Include="Usermode\base\utils\Authentication\Protection\protect\anti_suspend.h" />
    <ClInclude Include="Usermode\base\utils\Authentication\Protection\protect\integrity_check.h" />
    <ClInclude Include="Usermode\base\utils\Authentication\Protection\protect\kill_process.h" />
    <ClInclude Include="Usermode\base\utils\Authentication\Protection\protect\protectmain.h" />
    <ClInclude Include="Usermode\base\utils\Authentication\Protection\protect\selfcode\antithread.h" />
    <ClInclude Include="Usermode\base\utils\Authentication\Protection\protect\selfcode\filler.h" />
    <ClInclude Include="Usermode\base\utils\Authentication\Protection\protect\selfcode\ntapi.h" />
    <ClInclude Include="Usermode\base\utils\Authentication\Protection\protect\selfcode\pe_header.h" />
    <ClInclude Include="Usermode\base\utils\Authentication\Protection\protect\selfcode\remap.h" />
    <ClInclude Include="Usermode\base\utils\Authentication\Protection\protect\selfcode\selfcode.h" />
    <ClInclude Include="Usermode\base\utils\Authentication\Protection\webhook\webhook.h" />
    <ClInclude Include="Usermode\base\utils\Authentication\skStr.h" />
    <ClInclude Include="Usermode\base\utils\Authentication\utils.hpp" />
    <ClInclude Include="Usermode\base\utils\Bytes\driver.h" />
    <ClInclude Include="Usermode\base\utils\Bytes\ESPFONT.h" />
    <ClInclude Include="Usermode\base\utils\Bytes\mapper.h" />
    <ClInclude Include="Usermode\base\utils\custom.hpp" />
    <ClInclude Include="Usermode\base\utils\settings.hpp" />
  </ItemGroup>
  <ItemGroup>
    <None Include="Usermode\base\sdk\sdk.hpp" />
  </ItemGroup>
  <ItemGroup>
    <Library Include="Usermode\base\utils\Authentication\library_x64.lib" />
  </ItemGroup>
  <ItemGroup>
    <MASM Include="Usermode\base\driver\assembly\directio.asm" />
  </ItemGroup>
  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.targets" />
  <ImportGroup Label="ExtensionTargets">
    <Import Project="$(VCTargetsPath)\BuildCustomizations\masm.targets" />
  </ImportGroup>
</Project>